#ifndef _AT91LIB_H_
#define _AT91LIB_H_

#include <inttypes.h>
#include <stdio.h>
#include <string.h>

#include <board/board.h>
#include <board/board_memories.h>

#include <peripherals/aic/aic.h>
#include <peripherals/dbgu/dbgu.h>
#include <peripherals/pio/pio.h>
#include <peripherals/pio/pio_it.h>
#include <peripherals/pit/pit.h>
#include <peripherals/pmc/pmc.h>
#include <peripherals/spi/spi.h>
#include <peripherals/tc/tc.h>
#include <peripherals/usart/usart.h>

#include <utility/bits.h>
#include <utility/assert.h>
#include <utility/led.h>
#include <utility/math.h>
#include <utility/trace.h>

#endif // _AT91LIB_H_
